<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.m05bConstantesPaginas" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null) {
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
<head>
	<title><%= resTit.getString("titRelDepartamentos")%></title>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
	<SCRIPT language=JavaScript>
		var urlIdioma;		//URL recarga en funcion del idioma
		var rutaCabecera;	//Camino de migas
		var detActual;		//Ventana actual
		urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_DEPARTAMENTOS%>";
		detActual = '<%=resCM.getString("cmRelDepartamentos")%>';
		//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		rutaCabecera = "";
	</SCRIPT>
	<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			 <FORM NAME="FormRelDeptos" METHOD="POST">
					 <TABLE class="general">
					    <tr>
   					      <td width="90%" align="right">
   					      	<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir(); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
   					      </td>
					      <td align="right">
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					 </TABLE>
					 <p>
					 <TABLE class="general">
					    <tr>
					       <td class="searchTitle" width="20%"><%= res.getString("etCodigo")%></td>
					       <td class="searchTitle" width="30%"><%= res.getString("etDescripcion")%></td>
					       <td class="searchTitle" width="30%"><%= res.getString("etEDescripcion")%></td>
					       <td class="searchTitle" width="10%"><%= res.getString("etDepartamentoRelacionado")%></td>
   					       <td class="searchTitle" width="10%"><%= res.getString("etSituacion")%></td>
					    </tr>
					 </TABLE>
					<%
						int contador=0;
						String sql="", sql2="";
						String codigo="", descripcion="", edescripcion="", codxlnet="", situacion="";
                        java.sql.Connection conn=null;
                        PreparedStatement pstmt=null;
                        ResultSet rs=null;
					try {
						session.removeAttribute("Departamento");
						codigo = request.getParameter("Codigo");
						if ((codigo == null) || (!(codigo.equals("Nuevo")))) {
						   if (codigo != null)
						   		codigo = codigo.toUpperCase();
						   /*descripcion = request.getParameter("Descripcion");
					   	   if (descripcion != null)
						   		descripcion = descripcion.toUpperCase();
						   else
						   	   descripcion="";
						   edescripcion = request.getParameter("Edescripcion");
					   	   if (edescripcion != null)
						   		edescripcion = edescripcion.toUpperCase();
						   else
						   	   edescripcion="";*/
						}

						sql = "select COD_DPTO_06, DESCRIP_06, E_DESCRIP_06, NVL(COD_XLNET_06, ' ') as COD_XLNET_06, NVL(SIT_06, 'B') as SIT_06 from M0506T00";
						if (codigo == null || codigo.equals(""))
							sql2 = sql2;
						else {
							codigo = "%" + codigo + "%";
							sql2 = sql2 + " where COD_DPTO_06 like ? ";
						}
						if (descripcion == null || descripcion.equals(""))
							sql2 = sql2;
						else {
							descripcion = '%' + descripcion + '%';
							if (sql2.equals(""))
						 		sql2 = sql2 + " where DESCRIP_06 like ? ";
						 	else
						 		sql2 = sql2 + " and DESCRIP_06 like ? ";
						}
						if (edescripcion == null || edescripcion.equals(""))
							sql2 = sql2;
						else {
							edescripcion = '%' + edescripcion + '%';
							if (sql2.equals(""))
						 		sql2 = sql2 + " where E_DESCRIP_06 like ? ";
						 	else
						 		sql2 = sql2 + " and E_DESCRIP_06 like ? ";
						}
						sql = sql + sql2 + " order by COD_DPTO_06, DESCRIP_06";

					    //m05bbBeginSelect(sql);
		                m05bConexion miConex = new m05bConexion();
                        conn = miConex.getConnection();
                        conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
		                pstmt = conn.prepareStatement(sql);
						if (codigo == null || codigo.equals(""))
							contador = contador;
						else {
							contador = contador + 1;
							pstmt.setString(contador, codigo);
						}
						if (descripcion == null || descripcion.equals(""))
							contador = contador;
						else {
							contador = contador + 1;
							pstmt.setString(contador, descripcion);
						}
						if (edescripcion == null || edescripcion.equals(""))
							contador = contador;
						else {
							contador = contador + 1;
							pstmt.setString(contador, edescripcion);
						}
						//m05bRS = m05bPStmt.executeQuery();
		                rs = pstmt.executeQuery();
						contador=0;
					%>
						<TABLE class="general">
					<%
						while (rs.next() == true) {
							codigo = rs.getString("COD_DPTO_06");
							descripcion= rs.getString("DESCRIP_06");
							if (descripcion==null)
								descripcion="";
							edescripcion= rs.getString("E_DESCRIP_06");
							if (edescripcion==null)
								edescripcion="";
							codxlnet = rs.getString("COD_XLNET_06");
							situacion = rs.getString("SIT_06");
							contador = contador + 1;%>
							<tr>
							   <td class=inputFieldTitle width="20%"><FONT size=2><A href="JavaScript:fncModificar('<%=codigo%>');"><%=codigo%></A></FONT></td>
					   		   <td class=inputFieldTitle width="30%"><FONT size=2><%=descripcion%></FONT></td>
					   		   <td class=inputFieldTitle width="30%"><FONT size=2><%=edescripcion%></FONT></td>
							   <td class=inputFieldTitle width="10%" style="text-align: right"><FONT size=2><%=codxlnet%></FONT></td>
					   		   <td class=inputFieldTitle width="10%" style="text-align: center"><FONT size=2><%=situacion%></FONT></td>
							</tr>
					<%}%>
							<tr></tr>
						    <tr align="center">
							    <td class="inputField" colspan="3"><%= res.getString("etTotal")%> <%=contador%></td>
						    </tr>
						</TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
		<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language="JavaScript">
	function fncNuevo() {
	   var docu = document.FormRelDeptos;
       docu.action="m05bDepartamentosJsp.jsp?Codigo=&Mensaje=false&Accion=I";
       docu.submit();
	}  // Fin funcion fncNuevo
	function fncModificar(codigo) {
	   var docu = document.FormRelDeptos;
       docu.action="m05bGenerarDepartamentoServlet?Codigo=" + codigo + "&Mensaje=false";
       docu.submit();
    }  // Fin funcion fncModificar
    function fncImprimir() {
		var docu = document.FormRelDeptos;
        docu.action="m05bDepartamentosPDFJsp.jsp";
        docu.submit();
    }   // Fin funcion fncImprimir

    setTimeout('initSlide();', 1);
</SCRIPT>
<%
} catch (Exception SQLException) {
	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
	miLog.addTraza(SQLException);
} finally {
	//m05bEndSelect();
		if (rs != null)
		    rs.close();
		if (pstmt != null)
		    pstmt.close();
		if (conn != null)
		    conn.close();
}%>
</BODY>
</HTML>